#ifndef KOLF_CONFIG_H
#define KOLF_CONFIG_H

#include <tqframe.h>

class Config : public TQFrame
{
	Q_OBJECT
  TQ_OBJECT

public:
	Config(TQWidget *parent, const char *name = 0);
	void ctorDone();

signals:
	void modified();

protected:
	int spacingHint();
	int marginHint();
	bool startedUp;
	void changed();
};

// this is easy to use to show a message
class MessageConfig : public Config
{
	Q_OBJECT
  TQ_OBJECT

public:
	MessageConfig(TQString text, TQWidget *parent, const char *name = 0);
};

// internal
class DefaultConfig : public MessageConfig
{
	Q_OBJECT
  TQ_OBJECT

public:
	DefaultConfig(TQWidget *parent, const char *name = 0);
};

#endif
